ServerEvents.recipes(event => {

// Rope recipe
event.remove({ id: 'supplementaries:rope' })

event.shaped('4x supplementaries:rope', [
  ' R ',
  ' R ',
  ' R '
],{
  R:'#caramel:rope_materials',
})

event.shaped('4x supplementaries:rope', [
  '   ',
  'RRR',
  '   '
],{
  R:'#caramel:rope_materials',
})

  
// Lead recipe
event.remove({ id: 'minecraft:lead' })
event.remove({ id: 'aether:swet_lead' })
event.remove({ id: 'farmersdelight:lead_from_straw' })

event.shaped('minecraft:lead', [
  'RR ',
  'RR ',
  '  R'
],{
  R:'#forge:ropes',
})
  
// Rope Ladder recipe
event.remove({ id: 'spelunkery:rope_ladder' })

event.shaped('4x spelunkery:rope_ladder', [
  'R R',
  'SSS',
  'R R'
],{
  R:'#forge:ropes',
  S:'#forge:rods/wooden'
})

// Canvas recipe
event.remove({ id: 'farmersdelight:canvas' })

event.shaped('4x farmersdelight:canvas', [
  'RRR',
  'RRR',
  '   '
],{
  R:'#caramel:rope_materials',
})

// Canvas Rug recipe
event.remove({ id: 'farmersdelight:canvas_from_canvas_rug' })
event.remove({ id: 'farmersdelight:canvas_rug' })

event.shaped('3x farmersdelight:canvas_rug', [
  'CC ',
  '   ',
  '   '
],{
  C:'farmersdelight:canvas',
})

// Sack recipe
event.remove({ id: 'supplementaries:sack' })

event.shaped('supplementaries:sack', [
  'CRC',
  'C C',
  'CCC'
],{
  C:'farmersdelight:canvas',
  R:'#forge:ropes'
})

// Safety Net recipe
event.shaped('farmersdelight:safety_net', [
  'RR ',
  'RR ',
  '   '
],{
  R:'#forge:ropes'
})



})